import os
import shutil

origem = r'\\192.168.1.248\NuvemFiscal\XML'
#destino = r'\\192.168.1.248\NuvemFiscal'
destino = r'C:\xampp\htdocs\chronos\recebimento\xml\arquivos\XML'
#origem = r'C:\util'
contador = 0

for pasta_raiz, _, arquivos in os.walk(origem):
    for arquivo in arquivos:
        if arquivo.endswith('.xml'):
            caminho_completo_origem = os.path.join(pasta_raiz, arquivo)
            caminho_relativo_destino = os.path.relpath(caminho_completo_origem, origem)
            caminho_completo_destino = os.path.join(destino, caminho_relativo_destino)
            os.makedirs(os.path.dirname(caminho_completo_destino), exist_ok=True)
            shutil.copy2(caminho_completo_origem, caminho_completo_destino)
            contador += 1
            print(f"Arquivos copiados: {contador}")